Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Protected Attributes
Display Class Referenceabstract
Inheritance diagram for Display:

## Public Member Functions
| Display (DisplayProp const *)
| constructor
virtual | ~Display ()
| destructor
void | setPixelFactors (real pixel_size, real u_factor)
| set current pixel-size and point-size factor
virtual void | prepareForDisplay (Simul const &, PropertyList &)
| prepare to display More...
virtual void | display (Simul const &)
| display the given simulation state using OpenGL commands
void | displayTiled (Simul const &, int nine)
| display for periodic systems
gle_color | bodyColor (PointDisp const *, Number) const
| find a color for a large spherical objects More...
virtual void | displayFields (FieldSet const &)
| display a scalar field More...
virtual void | displayBSpace (Space const &)
| display the Space in 2D, and the back of the surface in 3D
virtual void | displayFSpace (Space const &)
| display the front of the Space in 3D
virtual void | displayMinusEnd (int style, Fiber const &, real width) const
| display MINUS_END of a Fiber More...
virtual void | displayPlusEnd (int style, Fiber const &, real width) const
| display PLUS_END of a Fiber More...
virtual void | displayFiberMinusEnd (Fiber const &)=0
| display a Fiber
virtual void | displayFiberPlusEnd (Fiber const &)=0
| display a Fiber
virtual void | displayFiber (Fiber const &)=0
| display a Fiber
virtual void | displayBead (Bead const &)=0
| display a Bead
virtual void | displayTBead (Bead const &)=0
| display translucent elements of a Bead
virtual void | displaySolid (Solid const &)=0
| display opaque elements of a Solid
virtual void | displayTSolid (Solid const &, unsigned int)=0
| display translucent elements of a Solid
virtual void | displaySphere (Sphere const &)=0
| display the Sphere
virtual void | displayTSphere (Sphere const &)=0
| display translucent elements of a Sphere
virtual void | displayFibers (FiberSet const &)
| display Fibers
virtual void | displayBeads (BeadSet const &)
| display the Beads
virtual void | displaySolids (SolidSet const &)
| display the Solids
virtual void | displaySpheres (SphereSet const &)
| display the Spheres
virtual void | displayBSpaces (SpaceSet const &)
| display the Spaces
virtual void | displayFSpaces (SpaceSet const &)
| display the front of Spaces More...
virtual void | displayTransparentObjects (Simul const &)
| display translucent object after depth-sorting More...
virtual void | displayOrganizer (Organizer const &)=0
| display the Nucleus
virtual void | displayOrganizers (OrganizerSet const &)
| display the Nucleus
virtual void | displayFCouples (CoupleSet const &)=0
| display the free Couples
virtual void | displayACouples (CoupleSet const &)=0
| display the attached Couples
virtual void | displayBCouples (CoupleSet const &)=0
| display the bridging Couples
virtual void | displayFSingles (SingleSet const &)=0
| display the free Singles
virtual void | displayASingles (SingleSet const &)=0
| display the attached Singles
virtual void | displayAverageFiber (FiberSet const &, bool(*func)(Fiber const *, void *), void *)
| display the average fiber for the pool defined by func(obj, val) == true
virtual void | displayAverageFiber1 (FiberSet const &, void *)
| display the averaged fiber
virtual void | displayAverageFiber2 (FiberSet const &, void *)
| display the average for left-pointing and right-pointing fibers
virtual void | displayMisc (Simul const &)
| display additional items

## Protected Attributes
DisplayProp const * | prop
| associated parameters
real | mPixelSize
| the pixel size for this particular display
real | uFactor
| scaling factors for glPointSize() and glLineWidth()
real | sFactor
| scaling factors for real units

## Member Function Documentation

gle_color bodyColor | ( | PointDisp const * | disp,
|  | Number | nb
| ) |  | const

if `coloring` is enabled, this returns the N-th bright color, with an alpha value of 1/2 if `visible<0`.

otherwise it returns the object' display color

void displayFields | ( | FieldSet const & | set | ) |
| virtual

This displays only one Field, by default, this displays the Fiber current field

GL_CULL_FACE should be disabled

void displayFSpaces | ( | SpaceSet const & | set | ) |
| virtual

If the color is not transparent, this will hide everything inside.

void displayMinusEnd | ( | int | style,
|  | Fiber const & | fib,
|  | real | width
| ) |  | const
| virtual

Display the MINUS_END of a Fiber, according to style:

- 1: draw a sphere
- 2: draw a cone
- 3: draw a flat cylinder
- 4: draw an arrow-head
- 5: arrow-head in reverse direction

Reimplemented in Display2, and Display1.

void displayPlusEnd | ( | int | style,
|  | Fiber const & | fib,
|  | real | width
| ) |  | const
| virtual

Display the PLUS_END of a Fiber, according to style:

- 1: draw a sphere
- 2: draw a cone
- 3: draw a flat cylinder
- 4: draw an arrow-head
- 5: arrow-head in reverse direction

Reimplemented in Display2, and Display1.

void displayTransparentObjects | ( | Simul const & | sim | ) |
| virtual

This display all objects that have ( disp->visible < 0 )

Depth-sorting is used in 3D to display objects from the furthest to the nearest.

void prepareForDisplay | ( | Simul const & | sim,
|  | PropertyList & | alldisp
| ) |  |
| virtual

Perform the operations that are necessary to display the simulation:

- create FiberDisp, HandDisp, SphereDisp, etc. (one per Property)
- create LineDisp (one per Fiber)
- set default values,
- parse display strings

In 3D, this set disp->visible = -1, for transparent objects.